mscorlib 2.0.0.0 4.0.0.0 System.Enum

Use this enumeration with the attribute and the attribute to specify the preferred default binding for a dependent assembly.

Note that the Default value directs the native generation service to consult the dependent assembly for its preferred default binding, which is specified using the attribute. Very few assemblies should need to specify a default value in this manner.

Specifies the preferred default binding for a dependent assembly.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.LoadHint

  The dependency is always loaded.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.LoadHint

  No preference specified.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.CompilerServices.LoadHint

  The dependency is sometimes loaded.